org.apache.lucene.queryParser.core.nodes

## Class ProximityQueryNode.ProximityType

- java.lang.Object
- - org.apache.lucene.queryParser.core.nodes.ProximityQueryNode.ProximityType

- Enclosing class:
    ProximityQueryNode

      public static class ProximityQueryNode.ProximityType
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProximityType(ProximityQueryNode.Type type)`
    `ProximityType(ProximityQueryNode.Type type, int distance)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ProximityType

          public ProximityType(ProximityQueryNode.Type type)

    - #### ProximityType

          public ProximityType(ProximityQueryNode.Type type,
                               int distance)

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.